[ 
https://issues.apache.org/jira/browse/BEAM-9299?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17036790#comment-17036790
 ] 

Ismaël Mejía commented on BEAM-9299:
------------------------------------

+1 for solution 2, it does not look like a big burden to maintain that copy and 
it will allow users to catch the latest and greatest of the previous releases.
I might be wrong but if I remember correctly  
`JobWithJars.buildUserCodeClassLoader` was removed as part of 1.10.x so being 
isolated from it could prove useful for the 1.10 upgrade.

> Upgrade Flink Runner to 1.8.3 and 1.9.2
> ---------------------------------------
>
>                 Key: BEAM-9299
>                 URL: https://issues.apache.org/jira/browse/BEAM-9299
>             Project: Beam
>          Issue Type: Task
>          Components: runner-flink
>            Reporter: sunjincheng
>            Assignee: sunjincheng
>            Priority: Major
>             Fix For: 2.20.0
>
>          Time Spent: 40m
>  Remaining Estimate: 0h
>
> I would like to Upgrade Flink Runner to 18.3 and 1.9.2 due to both the Apache 
> Flink 1.8.3 and Apache Flink 1.9.2 have been released [1]. 
> What do you think?
> [1] https://dist.apache.org/repos/dist/release/flink/



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Reply via email to